Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517946 - Ad hoc Metrics for Nodes crashes
Summary: Ad hoc Metrics for Nodes crashes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Beta 3
: 5.9.0
Assignee: Yaacov Zamir
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1516320
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 18:00 UTC by Satoe Imaishi
Modified: 2018-03-06 15:25 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1516320
Environment:
Last Closed: 2018-03-06 15:25:57 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:42:58 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a489c4cac8da34d38720f8d1277f1451ef58ab0b

commit a489c4cac8da34d38720f8d1277f1451ef58ab0b
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 27 11:46:16 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 13:01:54 2017 -0500

    Merge pull request #2824 from yaacov/set-initial-url-when-parsing-page-args
    
    Set initial url for ajax calls when parsing url params (Hawkular part)
    (cherry picked from commit a2820c6ce74823ee29f96c5457d88fac967badd1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517946

 .../controllers/live_metrics/util/metrics-parse-url-factroy.js         | 3 +++
 1 file changed, 3 insertions(+)

Comment 3 CFME Bot 2017-11-29 20:43:19 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/aa91ddfa1ffe9619838750b8f69de42c72c7f636

commit aa91ddfa1ffe9619838750b8f69de42c72c7f636
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Nov 27 11:18:17 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 13:09:30 2017 -0500

    Merge pull request #2826 from yaacov/translate-hawkular-node-labels-to-prometheus
    
    Translate hawkular node labels to prometheus
    (cherry picked from commit f9ec3894194507b27ae740b8e6e6c157ca05deae)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517946

 .../live_metrics/util/metrics-config-factory.js    |  3 +-
 .../live_metrics/util/metrics-http-factory.js      |  2 +-
 app/services/hawkular_proxy_service.rb             |  3 +-
 app/services/prometheus_proxy_service.rb           | 55 +++++++++++++++-------
 4 files changed, 44 insertions(+), 19 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.